local lu = require 'luaunit'
local c_controller = require 'controller.controller_object'

TEST_Controller_Object = {}
function TEST_Controller_Object:test_get_pcb_version()
    local pcb_version = c_controller:get_pcb_version("PCIe Card 1 RAID")
    lu.assertEquals(pcb_version, ".A")
end

function TEST_Controller_Object:test_update_asset_data_info()
    local asset_sample = {
        pcb_version = ".A"
    }
    c_controller.update_asset_data_info(asset_sample)
    lu.assertEquals(asset_sample.PCBVersion, ".A")
end